function Get-SPTheme([string]$url) {
  $spWeb = Get-SPWeb -Identity $url
  $theme = [Microsoft.SharePoint.Utilities.ThmxTheme]::GetThemeUrlForWeb($spWeb)
  if (-not([string]::IsNullOrEmpty($theme))) {
    [Microsoft.SharePoint.Utilities.ThmxTheme]::Open($spWeb.Site, $theme) | 
      Format-List -Property @{Name="Theme";Expression={$_.Name}},
        @{Name="Type";Expression={$_.ThemeType}},
        @{Name="RelativeUrl";Expression={$_.ServerRelativeUrl}},
        @{Name="Description";Expression={$_.AccessibleDescription}}
  } else {
    Write-Host "Default theme is used"
  }
  $spWeb.Dispose()
}