function Copy-SPListItem ([string]$source, [string]$destination) {
  # Get source list
  $sourceSPList = Get-SPList -url $source
  $sourceSPFieldCollection = $sourceSPList.Fields;
  $sourceSPListItemCollection = $sourceSPList.GetItems();

  # Get destination list
  $destinationSPList = Get-SPList -url $destination
  # Loop through each list Item and copy to destination list
  foreach($spListItem in $sourceSPListItemCollection) {
    # Create new Item
    $newSPListItem = $destinationSPList.AddItem();
    foreach($spField in $sourceSPFieldCollection) {
      # At first check fields that are not read only and attachments
      if ($spField.ReadOnlyField -ne $True -and $spField.InternalName -ne "Attachments") {
        # Store value in new SPListItem object
        $newSPListItem[$($spField.InternalName)] = $spListItem[$($spField.InternalName)];
      }
    }
    # Handle Attachments
    foreach($leafName in $spListItem.Attachments) {
      $spFile = $sourceSPList.ParentWeb.GetFile($($spListItem.Attachments.UrlPrefix + $leafName));
      $newSPListItem.Attachments.Add($leafName, $spFile.OpenBinary());
    }
    # Update Item
    $newSPListItem.Update();
  }
}