function Get-SPListItem ([string]$url,[string]$field,[string]$value,[int]$rowLimit = 100) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  # Create Query based on field and value
  $camlQuery = '<Where><Eq><FieldRef Name="' + $field + '"/><Value Type="' + $spList.Fields[$field].Type + '">' + $value + '</Value></Eq></Where>';

  # SPQuery object
  $spQuery = New-Object Microsoft.SharePoint.SPQuery;

  # Add query
  $spQuery.Query = $camlQuery;

  # Set rowlimit
  $spQuery.RowLimit = $rowLimit;
  return $spList.GetItems($spQuery);
}