function Remove-SPListItem ([string]$url, [string]$field, [string]$value, [int]$rowLimit = 100) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  
  # Create Query based on field and value
  $camlQuery = '<Where><Eq><FieldRef Name="' + $field + '"/><Value Type="' + $spList.Fields[$field].Type + '">' + $value + '</Value></Eq></Where>';
  $spQuery = New-Object Microsoft.SharePoint.SPQuery;
  $spQuery.Query = $camlQuery;
  $spQuery.RowLimit = $rowLimit;
  $spListItemCollection = $spList.GetItems($spQuery);
  
  # Create batch remove CAML query
  $batchRemove = '<?xml version="1.0" encoding="UTF-8"?><Batch>';
  
  # The command is used for each list item retrieved
  $command = '<Method><SetList Scope="Request">' + $spList.ID +'</SetList><SetVar Name="ID">{0}</SetVar> + <SetVar Name="Cmd">Delete</SetVar></Method>';
  foreach ($item in $spListItemCollection) {
    # Loop through each list item and add the string
    # to the batch command
    $batchRemove += $command -f $item.Id;
  }
  $batchRemove += "</Batch>";
  # Remove the list items using the
  # batch command
  $spList.ParentWeb.ProcessBatchData($batchRemove) | Out-Null
}