function Add-SPContentTypeToList ([string]$url, [string]$contentType) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  $spWeb = $spList.ParentWeb
  # Get the content type
  $spContentType = $spWeb.ContentTypes | Where-Object { $_.Name -eq $contentType }
  # Check if the content type exists
  if (-not([string]::IsNullOrEmpty($spContentType))) {
    # Store the list content types in a collection
    $spContentTypeCollection = $spList.ContentTypes;
    # If content type does not exist in list, add it
    if (-not($spContentTypeCollection | Where { $_.Name -eq $contentType })) {
      $spList.ContentTypes.Add($spContentType);
    } else {
      Write-Host "The content type specified already exists";
    }
  } else {
    Write-Host "The content type specified does not exist";
  }
  $spWeb.Dispose()
}