function Copy-SPDocumentLibrary([string]$source,[string]$destination,[switch]$overwrite) {
  # Get source list
  $sourceSPList = Get-SPList -url $source

  # Get destination list
  $destSPList = Get-SPList -url $destination
  $spFileCollection = $destSPList.RootFolder.Files

  # Loop through each item and copy to destination list
  foreach($item in $sourceSPList.Items) {
    $file = $sourceSPList.ParentWeb.GetFile($item.File)
    $targetDocUrl = $file.Url -replace $sourceSPList.RootFolder.Name,
    $destSPList.RootFolder.Name

    # Check if folder exists
    if(-not($destSPList.ParentWeb.GetFolder($file.ParentFolder.Url).Exists)) {
      # Check each subfolder
      $folderURL = $file.Url.Split("/")
      $addFolder = $folderURL[0]
      for($i=1;$i -lt ($folderURL.Count -1);$i++) {
        $addFolder = $addFolder + "/" + $folderURL[$i]
        $destSPList.ParentWeb.Folders.Add($addFolder) | Out-Null
      }
      $addFolder = $null
    }

    # Check if target file exists
    if(-not($overwrite) -and $destSPList.ParentWeb.GetFile($targetDocUrl).Exists) {
      Write-Host "File $targetDocUrl already exists"
      Continue
    }
    $spFileCollection.Add($targetDocUrl,$file.OpenBinary(),$overwrite) | Out-Null
  }
}