function Upload-SPFile([string]$url, [array]$files, [switch]$overwrite) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  $spFolder = $SPList.RootFolder
  $spFileCollection = $spFolder.Files
  # Loop through each file in the array
  foreach($file in $files) {
    $docURL = $spList.RootFolder.Name + "/" + (Split-Path $file -Leaf)
    # Check if file already exists
    if(-not($overwrite) -and $spList.ParentWeb.GetFile($docURL).Exists) {
      Write-Host "File $file already exists"
      Continue
    }
    # Split-Path used to return the file name
    $spFileCollection.Add($docURL,$((Get-ChildItem $file).OpenRead()),$overwrite) | Out-Null
  }
}