function Set-SPDraftItemSecurity([string]$url, [switch]$reader, [switch]$author, [switch]$approver) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  # Check if Content Approval is enabled
  if ($spList.EnableModeration -eq $true) {
    if ($reader) {
      # Any user who can read items
      $spList.DraftVersionVisibility = "Reader";
    }
    if ($author) {
      # Only the author and users who can edit items
      $spList.DraftVersionVisibility = "Author";
    }
    if ($approver) {
      # Only the author and users who can approve items
      $spList.DraftVersionVisibility = "Approver";
    }
    # Update list settings
    $spList.Update();
  } else {
    Write-Host Enable Content Approval for the list: $spList
  }
}