function Set-SPVersionHistory ([string]$url,[switch]$enable,[switch]$enableMinor,[switch]$disable,[int]$version=0,[int]$draft=0) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  if ($enable -or $enableMinor) {
    # Enable Versioning
    $spList.EnableVersioning = $true;
    if($enableMinor -and $spList -is [Microsoft.SharePoint.SPDocumentLibrary]) {
      # Enable Major and Minor Version
      $spList.EnableMinorVersions = $true;
    }
    # Set number of versions to keep
    $spList.MajorVersionLimit = $version;
    # Set the number of versions for which drafts should be kept
    if ($spList.EnableModeration -eq $true) {
      $spList.MajorWithMinorVersionsLimit = $draft
    } else {
      Write-Host Enable Content Approval for the list: $splist
    }
  }

  if ($disable) {
    # Disable Versioning
    $spList.EnableVersioning = $false
    if($spList -is [Microsoft.SharePoint.SPDocumentLibrary]) {
      # Disable versioning on document library
      $spList.EnableMinorVersions = $false;
    }
  }
  $spList.Update()
}