function Add-SPMetadataSAPermission([string]$serviceApplication, [string]$administratorAccount, [string]$fullAccessAccount, [string]$restrictedAccount) {
  # Retrieve metadata service application
  $sa = Get-SPMetadataServiceApplication -Identity $serviceApplication

  # Store current access rules in variable
  $admins = $sa.GetAdministrationAccessControl().AccessRules
  $access = $sa.GetAccessControl().AccessRules

  # Set new access rules
  $sa | Set-SPMetadataServiceApplication -AdministratorAccount $administratorAccount -FullAccessAccount $fullAccessAccount -RestrictedAccount $restrictedAccount

  # Store access control in variable
  $adminAccessControl = $sa.GetAdministrationAccessControl()
  $accessControl = $sa.GetAccessControl()

  # Add old access rules
  $admins | ForEach-Object { $adminAccessControl.AddAccessRule($_) }
  $access | ForEach-Object { $accessControl.AddAccessRule($_) }

  # Set access control
  $sa.SetAdministrationAccessControl($adminAccessControl)
  $sa.SetAccessControl($accessControl)
}