function New-SPGroup([string]$url, [string]$group, [string]$owner, [string]$defaultUser, [string]$description) {
  $spWeb = Get-SPWeb $url

  # Store groups in collection
  $spGroupCollection = $spWeb.SiteGroups;

  # Check if group already exists
  if ($spGroupCollection[$group]) {
    Write-Host "The group: $group already exists";
  } else {

    # Check if Web application uses Claims authentication
    if ($spWeb.Site.WebApplication.UseClaimsAuthentication) {
      $owner = (New-SPClaimsPrincipal $owner -IdentityType WindowsSamAccountName).ToEncodedString();
      $defaultUser = (New-SPClaimsPrincipal $defaultUser -IdentityType WindowsSamAccountName).ToEncodedString();
    }

    # Ensure user
    if(($spWeb.EnsureUser($owner)) -and ($spWeb.EnsureUser($defaultUser))) {
      $objOwner = Get-SPUser -Web $url -Identity $owner;
      $objdefaultUser = Get-SPUser -Web $url -Identity $defaultUser;
      # Create Group
      $spGroupCollection.Add($group,$objOwner,$objDefaultUser,$description);
    }
  }
  $spWeb.Dispose()
}